org.apache.tomcat.util.bcel.classfile

## Class ElementValuePair

- java.lang.Object
- - org.apache.tomcat.util.bcel.classfile.ElementValuePair

    public class ElementValuePair
    extends Object

an annotation's element value pair

Since:
  6.0
Author:
  D. Brosius

### Constructor Summary

Constructors
Constructor and Description
`ElementValuePair(int elementNameIndex, ElementValue elementValue, ConstantPool constantPool)`

### Method Summary

Methods
`protected void` `dump(DataOutputStream dos)`
`String` `getNameString()`
`ElementValue` `getValue()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ElementValuePair

    public ElementValuePair(int elementNameIndex,
                    ElementValue elementValue,
                    ConstantPool constantPool)

### Method Detail

#### getNameString

    public String getNameString()

#### getValue

    public final ElementValue getValue()

#### dump

    protected void dump(DataOutputStream dos)
                 throws IOException

Throws:
  `IOException`